statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2011 Aleksey Khudyakov
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.StudentT

Description

Student-T distribution

Synopsis

- data StudentT
- studentT :: Double -> StudentT
- studentTndf :: StudentT -> Double
- studentTUnstandardized :: Double -> Double -> Double -> LinearTransform StudentT

# Documentation

data StudentT Source

Student-T distribution

Instances

Eq StudentT Source |
Data StudentT Source |
Read StudentT Source |
Show StudentT Source |
Generic StudentT Source |
ToJSON StudentT Source |
FromJSON StudentT Source |
Binary StudentT Source |
ContGen StudentT Source |
Entropy StudentT Source |
MaybeEntropy StudentT Source |
MaybeVariance StudentT Source |
MaybeMean StudentT Source |
ContDistr StudentT Source |
Distribution StudentT Source |
type Rep StudentT Source |

studentT :: Double -> StudentT Source

Create Student-T distribution. Number of parameters must be positive.

studentTndf :: StudentT -> Double Source

studentTUnstandardized Source

Arguments

:: Double | Number of degrees of freedom
-> Double | Central value (0 for standard Student T distribution)
-> Double | Scale parameter
-> LinearTransform StudentT |

Create an unstandardized Student-t distribution.